Bug 65689 - (IT_54275) rpm --verify shows differences with web2c files
rpm --verify shows differences with web2c files
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tetex (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 00:25 EDT by msterret
Modified: 2013-07-02 18:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-17 02:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description msterret 2002-05-30 00:25:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
rpm --verify tetex shows a bunch of files in /usr/share/texmf/web2c/
that aren't what rpm was expecting.  I think everything is fine and
rpm's expectations are wrong. These files seem to be generated when
the rpm is installed so I think rpm --verify shouldn't be checking them.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install tetex-1.0.7-47
2. rpm --verify tetex

	

Actual Results:

S.5....T   /usr/share/texmf/web2c/amstex.fmt
S.5....T   /usr/share/texmf/web2c/amstex.log
S.5....T   /usr/share/texmf/web2c/bamstex.fmt
S.5....T   /usr/share/texmf/web2c/bamstex.log
S.5....T   /usr/share/texmf/web2c/bplain.fmt
S.5....T   /usr/share/texmf/web2c/bplain.log
S.5....T   /usr/share/texmf/web2c/etex.efmt
S.5....T   /usr/share/texmf/web2c/etex.log
S.5....T   /usr/share/texmf/web2c/lambda.fmt
S.5....T   /usr/share/texmf/web2c/lambda.log
S.5....T   /usr/share/texmf/web2c/mf.base
S.5....T   /usr/share/texmf/web2c/mf.log
S.5....T   /usr/share/texmf/web2c/mpost.log
..5....T   /usr/share/texmf/web2c/mpost.mem
S.5....T   /usr/share/texmf/web2c/omega.fmt
S.5....T   /usr/share/texmf/web2c/omega.log
S.5....T   /usr/share/texmf/web2c/pdfetex.efmt
S.5....T   /usr/share/texmf/web2c/pdfetex.log
S.5....T   /usr/share/texmf/web2c/pdftex.fmt
S.5....T   /usr/share/texmf/web2c/pdftex.log
S.5....T   /usr/share/texmf/web2c/tex.fmt
S.5....T   /usr/share/texmf/web2c/tex.log


Expected Results:  rpm should display nothing and exit with a 0 status.

Additional info:

These files seem to be generated.  Should they be excluded from the rpm or is it
possible to tell rpm in the spec file that they will change?
Comment 1 Tim Waugh 2002-05-30 09:09:40 EDT
The log files might not be necessary.  The fmt files should be ignored for -V, 
yes.
Comment 2 Tim Waugh 2002-06-21 12:14:42 EDT
Log files omitted in 1.0.7-50.  The .fmt files are trickier.
Comment 3 Bastien Nocera 2004-11-11 04:56:27 EST
The bug is still present in some shape in RHEL3:

$ rpm -V tetex
S.5....T   /usr/share/texmf/web2c/mf.base
..5....T   /usr/share/texmf/web2c/mpost.mem
$ rpm -q tetex
tetex-1.0.7-66

Those files should be marked as "%verify (not md5 mtime size)" in the
%files section to avoid the noise.
Comment 6 Jindrich Novy 2004-11-12 07:08:49 EST
Fixed in CVS.
Comment 8 RHEL Product and Program Management 2006-12-16 13:21:41 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 9 RHEL Product and Program Management 2006-12-16 13:40:50 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 10 RHEL Product and Program Management 2006-12-16 14:00:46 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 11 RHEL Product and Program Management 2006-12-16 14:20:40 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 12 RHEL Product and Program Management 2006-12-16 14:40:48 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 13 RHEL Product and Program Management 2006-12-16 15:00:37 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 14 RHEL Product and Program Management 2006-12-16 15:20:37 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 15 RHEL Product and Program Management 2006-12-16 15:40:41 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 16 RHEL Product and Program Management 2006-12-16 16:00:36 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 17 RHEL Product and Program Management 2006-12-16 16:20:36 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 18 RHEL Product and Program Management 2006-12-16 16:40:44 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 19 RHEL Product and Program Management 2006-12-16 17:01:03 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 20 RHEL Product and Program Management 2006-12-16 17:21:44 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 21 RHEL Product and Program Management 2006-12-16 17:40:43 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 22 RHEL Product and Program Management 2006-12-16 18:01:28 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 23 RHEL Product and Program Management 2006-12-16 18:20:53 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 24 RHEL Product and Program Management 2006-12-16 18:40:37 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 25 RHEL Product and Program Management 2006-12-16 19:00:59 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 26 RHEL Product and Program Management 2006-12-16 19:20:39 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 27 RHEL Product and Program Management 2006-12-16 19:40:40 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 28 RHEL Product and Program Management 2006-12-16 20:01:16 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 29 RHEL Product and Program Management 2006-12-16 20:20:38 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 30 RHEL Product and Program Management 2006-12-16 20:40:36 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 31 RHEL Product and Program Management 2006-12-16 21:00:55 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 32 RHEL Product and Program Management 2006-12-16 21:20:37 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 33 RHEL Product and Program Management 2006-12-16 21:40:37 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 34 RHEL Product and Program Management 2006-12-16 22:00:48 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 35 RHEL Product and Program Management 2006-12-16 22:20:50 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 36 RHEL Product and Program Management 2006-12-16 22:40:45 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 37 RHEL Product and Program Management 2006-12-16 23:00:46 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 38 RHEL Product and Program Management 2006-12-16 23:20:37 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 39 RHEL Product and Program Management 2006-12-16 23:40:37 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 40 RHEL Product and Program Management 2006-12-17 00:00:54 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 41 RHEL Product and Program Management 2006-12-17 00:21:00 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 42 RHEL Product and Program Management 2006-12-17 00:40:36 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 43 RHEL Product and Program Management 2006-12-17 01:01:10 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 44 RHEL Product and Program Management 2006-12-17 01:20:37 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 45 RHEL Product and Program Management 2006-12-17 01:40:42 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 46 RHEL Product and Program Management 2006-12-17 02:00:49 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 47 Jindrich Novy 2006-12-17 02:06:13 EST
Really closing WONTFIX. Please fix your PM closing scripts. The spam I get every
time the script does nothing with this bug really annoys me. Thanks.

Note You need to log in before you can comment on or make changes to this bug.